diff --git a/web/pgadmin/tools/debugger/__init__.py b/web/pgadmin/tools/debugger/__init__.py
index a173c8e..4aa79ab 100644
--- a/web/pgadmin/tools/debugger/__init__.py
+++ b/web/pgadmin/tools/debugger/__init__.py
@@ -69,6 +69,49 @@ class DebuggerModule(PgAdminModule):
                              'will be opened in a new browser tab.')
         )
 
+        fields = [
+            {'name': 'alt', 'type': 'switch'},
+            {'name': 'shift', 'type': 'switch'},
+            {'name': 'key_code', 'type': 'select2'}]
+
+        self.preference.register(
+            'keyboard_shortcuts',
+            '{0}_{1}'.format(self.name, 'step_over'),
+            gettext('Step over'),
+            'keyboardshortcut',
+            {'alt': True,
+             'shift': False,
+             'key_code': '83'
+             },
+            category_label=gettext('Keyboard shortcuts'),
+            fields=fields
+        )
+
+        self.preference.register(
+            'keyboard_shortcuts',
+            '{0}_{1}'.format(self.name, 'step_out'),
+            gettext('Step out'),
+            'keyboardshortcut',
+            {'alt': True,
+             'shift': True,
+             'key_code': '79'
+             },
+            category_label=gettext('Keyboard shortcuts'),
+            fields=fields
+        )
+
+        self.preference.register(
+            'keyboard_shortcuts',
+            '{0}_{1}'.format(self.name, 'step_in'),
+            gettext('Step in'),
+            'keyboardshortcut',
+            {'alt': True,
+             'shift': False,
+             'key_code': '73'
+             },
+            category_label=gettext('Keyboard shortcuts'),
+            fields=fields
+        )
 
     def get_exposed_url_endpoints(self):
         """
